PETSc version 3.15.5
Fix/Edit manual page

# MatFactorType

indicates what type of factorization is requested

### Synopsis

    typedef enum {MAT_FACTOR_NONE, MAT_FACTOR_LU, MAT_FACTOR_CHOLESKY, MAT_FACTOR_ILU, MAT_FACTOR_ICC, MAT_FACTOR_ILUDT, MAT_FACTOR_QR, MAT_FACTOR_NUM_TYPES} MatFactorType;

Any additions/changes here MUST also be made in include/petsc/finclude/petscmat.h

### See Also

MatSolverType, MatGetFactor(), MatGetFactorAvailable(), MatSolverTypeRegister()

### Level

beginner

### Location

src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages